
Ruby - Feature #3793

No test for OpenSSL::PKCS12

09/06/2010 11:46 AM - nahi (Hiroshi Nakamura)

Status: Closed   

Priority: Normal   

Assignee: MartinBosslet (Martin Bosslet)   

Target version: 2.0.0   

Description

=begin

As a task.

=end

Associated revisions

Revision b9c485aa - 07/27/2011 12:31 AM - MartinBosslet (Martin Bosslet)

test/openssl/test_pkcs12.rb: Add test and intermediate certificates.

[ Ruby 1.9 - Feature #3793 ] [ruby-core:32088]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@32690 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 49caf557 - 07/27/2011 01:07 AM - MartinBosslet (Martin Bosslet)

backport r32690 from trunk.

test/openssl/test_pkcs12.rb: Add test and intermediate certificates.

[ Ruby 1.9 - Feature #3793 ] [ruby-core:32088]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_1_9_3@32692 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 09/08/2010 10:43 PM - nahi (Hiroshi Nakamura)

- Priority changed from Normal to 3

=begin

Sorry ^takau, it's a test issue so I mark this Priority 'Low'.

=end

#2 - 09/14/2010 03:46 PM - shyouhei (Shyouhei Urabe)

- Status changed from Open to Assigned

=begin

=end

#3 - 12/10/2010 04:06 AM - tenderlovemaking (Aaron Patterson)

- Assignee changed from nahi (Hiroshi Nakamura) to tenderlovemaking (Aaron Patterson)

=begin

I will add some tests.

=end

#4 - 06/26/2011 04:03 PM - nahi (Hiroshi Nakamura)

- Assignee changed from tenderlovemaking (Aaron Patterson) to nahi (Hiroshi Nakamura)

- Target version changed from 1.9.2 to 1.9.3
#5 - 06/26/2011 10:48 PM - MartinBosslet (Martin Bosslet)

Hiroshi, I could take this if you'd like?

I'm basically through with 1.9.3 issues assigned to me, please let

me know how I can help further for the upcoming release!

Regards,

Martin

#6 - 06/26/2011 11:41 PM - nahi (Hiroshi Nakamura)

- Assignee changed from nahi (Hiroshi Nakamura) to MartinBosslet (Martin Bosslet)

Martin, thank you for your concern. I'll change 'Assignee' of ext/openssl tickets to you. Please send those ticket back to me as you like.

For this ticket, Aaron added test_pkcs12.rb IIRC so you should be able to close it soon.

#7 - 06/26/2011 11:53 PM - MartinBosslet (Martin Bosslet)

Hiroshi Nakamura wrote:

Martin, thank you for your concern. I'll change 'Assignee' of ext/openssl tickets to you. Please send those ticket back to me as you like.

 Ok, thanks! Once we're done with the tickets and reach the code freeze phase I wanted to concentrate on adding tests and doc for OpenSSL. Please

feel free to approach me with any other pre-release emergencies (testing etc.)!

For this ticket, Aaron added test_pkcs12.rb IIRC so you should be able to close it soon.

 Yes, I just saw Aaron's tests there - I guess we can close this?

#8 - 07/10/2011 03:38 PM - naruse (Yui NARUSE)

- Target version changed from 1.9.3 to 2.0.0

#9 - 07/27/2011 09:31 AM - Anonymous

- Status changed from Assigned to Closed

- % Done changed from 0 to 100

This issue was solved with changeset r32690.

Hiroshi, thank you for reporting this issue.

Your contribution to Ruby is greatly appreciated.

May Ruby be with you.

test/openssl/test_pkcs12.rb: Add test and intermediate certificates.

[ Ruby 1.9 - Feature #3793 ] [ruby-core:32088]

#10 - 07/27/2011 09:47 AM - MartinBosslet (Martin Bosslet)

There was not really much to add to Aaron's tests. I included a CA and an intermediate CA certificate, and one additional test.

But I noticed three things:

1. What is OpenSSL::PKCS12.new good for? It seems like it's useless - the PKCS12 attributes are read-only...

2. ... but probably shouldn't be? Currently, there's no way for changing a PKCS#12 file's password, which could be quite useful.

3. When writing the test I realized that OpenSSL::X509::Certificate and OpenSSL::PKey and as far as I know all the other classes

based on ASN.1 structures do not override '=='. But I think it's safe to define and would be more intuitive if equality for such

objects would be defined on the DER level, i.e. two objects are equal if their encoding is equal.

I'll open new issues for these.
